#ifndef __MENUITEM_H
#define __MENUITEM_H

#include <string>
#include "../glfontengine.h"
#include "../punkt2d.h"

class MenuItem {
	protected:
		std::string caption;
		std::string value;
		
		GLFontEngine fontengine;
		std::string fontname;
		int fontsizeadd;
		
		bool usevalue;
	public:
		MenuItem(std::string);
		virtual ~MenuItem();
		
		virtual void left() { };
		virtual void right() { };
		virtual void select() { };
		int getFontSizeAdd();
		
		virtual void render(Punkt2D pos, bool center, int basefontsize, int maxwidth, int valuewidth, bool highlight);
};

#endif
